package anl.aida.algo;

/**
 *         Date: Feb 13, 2009 10:15:34 AM
 */
public interface Clusterer<T> {


  /**
   * Resets the clusterer for another run.
   *
   * @param label the label of the clustering instances
   */
  void reset(String label);

  /**
   * Calculate the specified number of clusters and return
   * the results.
   *
   * @param numClusters the number of clusters to caclulate
   * @return the cluster results
   */
  Clusters<T> cluster(int numClusters);
}
