/**
 * 
 */
package anl.aida.algo;

import anl.aida.client.Keyword;


/**
 * Associates a keyword with a a score and document count.
 * 
 */
public interface ScoredKeyword extends Keyword {
  
  /**
   * Gets this concept's score.
   * @return this concept's score.
   */
  float getScore();
  
  /**
   * Gets the number of documents associated with this concept.
   * 
   * @return the number of documents associated with this concept.
   */
  int getDocumentCount();
}
