/**
 * 
 */
package anl.aida.bubble;

/**
 * Encapsulates the data represented by a single Bubble.
 * 
 */
public class BubbleData {
  
  double xVal, yVal, sizeVal;
  String category;
  int categoryIndex;
  
  /**
   * @param category
   * @param categoryIndex
   */
  public BubbleData(String category, int categoryIndex) {
    this.category = category;
    this.categoryIndex = categoryIndex;
  }

  public void update(double x, double y, double size) {
    xVal = x;
    yVal = y;
    sizeVal = size;
  }
  
  public String toString() {
    return String.format("%s (%d): %f, %f, %f", category, categoryIndex, xVal, yVal, sizeVal);
  }

}
