package anl.aida.client;

/**
 *         Date: Feb 19, 2009 2:48:46 PM
 */
public class DocSetID {

  private int ceId, id;
  private int hashCode;

  public DocSetID(int ceId, int id) {
    this.ceId = ceId;
    this.id = id;

    hashCode = 17;
    hashCode = 31 * hashCode + ceId;
    hashCode = 31 * hashCode + id;
  }

  public boolean equals(Object obj) {
    if (obj instanceof DocSetID) {
      DocSetID other = (DocSetID) obj;
      return other.ceId == ceId && other.id == id;
    }

    return false;
  }

  public int getCacheElementId() {
    return ceId;
  }

  public int getId() {
    return id;
  }

  public int hashCode() {
    return hashCode;
  }

  public boolean isTemporary() {
    return id == -1;
  }
}