/**
 * 
 */
package anl.aida.client;

/**
 * Encapsulates an MIFS keyword as the internal term and 
 * and its natural language label (e.g aids and AIDS).
 * 
 */
public interface Keyword extends Comparable<Keyword> {
  
  /**
   * Gets this Keyword's term text.
   * 
   * @return this Keyword's term text.
   */
  public String getTerm();

  /**
   * Gets this Keyword's label.
   * 
   * @return this Keyword's label.
   */
  public String getLabel();

}
