package anl.aida.client.actions;

import anl.aida.client.AIDAClient;
import saf.core.ui.actions.AbstractSAFAction;
import saf.core.ui.util.FileChooserUtilities;

import javax.swing.filechooser.FileFilter;
import java.awt.event.ActionEvent;
import java.io.File;

/**
 *         Date: Feb 3, 2009 3:42:57 PM
 */
public class OpenCacheAction extends AbstractSAFAction<AIDAClient> {

  public void actionPerformed(ActionEvent e) {
    File file = FileChooserUtilities.getOpenFile(new File("."), new FileFilter() {
      public boolean accept(File f) {
        return f.isDirectory() || f.getName().endsWith(".xml");
      }

      public String getDescription() {
        return "Cache xml file (.xml)";
      }
    });

    if (file != null) {
      AIDAClient client = workspace.getApplicationMediator();
      client.openCache(file);
    }

  }
}
