package anl.aida.client.gui;

import anl.aida.client.CacheElement;

/**
 * TreeNodes for the cache tree.
 *
 */
public class CacheElementNode extends CacheNode {

  private CacheElement item;

  public CacheElementNode(CacheElement item) {
    this.item = item;
    super.setAllowsChildren(true);
  }

  /**
   * Gets the label for this node.
   *
   * @return the label for this node.
   */
  @Override
  public String getLabel() {
    return "";
  }

  public CacheElement getItem() {
    return item;
  }
}
