package anl.aida.client.gui;

import anl.aida.client.CacheDocumentSet;

/**
 *         Date: Feb 19, 2009 12:08:12 PM
 */
public class DocSetNode extends CacheNode {

  private CacheDocumentSet docSet;

  public DocSetNode(CacheDocumentSet docSet) {
    this.docSet = docSet;
    setAllowsChildren(false);
  }

  /**
   * Gets the label for this node.
   *
   * @return the label for this node.
   */
  @Override
  public String getLabel() {
    return docSet.getLabel();
  }

  public CacheDocumentSet getDocumentSet() {
    return docSet;
  }
}
