package anl.aida.client.util;

import org.apache.commons.lang.SystemUtils;

import java.io.IOException;

/**
 * Opens a file using whatever native application
 * has been registered for it.
 *
 */
public class AppStarter {

  public static boolean start(String file) throws IOException {
    if (SystemUtils.IS_OS_MAC_OSX) {
      Runtime.getRuntime().exec("open " + file);
      return true;
    } else if (SystemUtils.IS_OS_WINDOWS) {
      Runtime.getRuntime().exec("cmd.exe /c start " + file);
      return true;
    }

    return false;
  }
}
