/**
 * 
 */
package anl.aida.client.util;

import java.util.Comparator;

/**
 * Comparator that does numeric comparison of strings that
 * represent numbers.
 * 
 */
public class StringNumberComparator implements Comparator<String> {

  /* (non-Javadoc)
   * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
   */
  @Override
  public int compare(String o1, String o2) {
    double v1 = Double.valueOf(o1).doubleValue();
    double v2 = Double.valueOf(o2).doubleValue();
    return v1 < v2 ? -1 : v1 == v2 ? 0 : 1;
  }
}
