package anl.aida.client.widget;

import javax.swing.event.ChangeEvent;

/**
 *
 */
public class RangeChangeEvent extends ChangeEvent {

  private boolean firstChanged, secondChanged;

  public RangeChangeEvent(Object source, boolean firstChanged, boolean secondChanged) {
    super(source);
    this.firstChanged = firstChanged;
    this.secondChanged = secondChanged;
  }

  public boolean isFirstChanged() {
    return firstChanged;
  }

  public boolean isSecondChanged() {
    return secondChanged;
  }
}
