/**
 * 
 */
package anl.aida.plot;


/**
 * Interface for classes that want to be notified of
 * progress.
 * 
 */
public interface ProgressListener<T> {
  
  /**
   * Notifies this listener of an update in 
   * progress.
   * 
   * @param info information about the progress
   */
  void progressUpdated(T info);

}
