package anl.aida.query;

/**
 * Operator that returns a boolean when executed.
 * @author Nick Collier
 */
public interface BooleanOp {
  
  /**
   * Executes this operator on the arguments and
   * returns the result as a boolean. 
   * 
   * @param rhs
   * @param lhs
   * @return
   */
  boolean execute(float rhs, float lhs);

}
