package anl.aida.query;

import anl.aida.core.ScoredTermsCollection;

public interface Query {
  
  /**
   * Executes this query on the specified {@link ScoredTermsCollection}
   * and returns a numeric value.
   * 
   * @param stc the collection to execute against
   * @return the result of the query.
   */
  float execute(ScoredTermsCollection stc);

}
