package anl.aida.viz;

import edu.umd.cs.piccolo.PNode;
import edu.umd.cs.piccolo.util.PBounds;

import javax.swing.*;
import java.awt.*;

/**
 *         Date: Feb 12, 2009 11:22:01 AM
 */
public interface AIDA2DLayer {

  void lensOver(PBounds bounds, double radius, Canvas2D canvas);

  void addToCanvas(Canvas2D canvas);

  void initToolBar(JToolBar bar, ButtonGroup grp);

  void resized(Dimension size);

  void marqueeOver(PBounds bounds, boolean ctrlDown);

  /**
   * Called when selection mode is enabled or disabled.
   *
   * @param enabled state of selection mode.
   */
  void selectionEnabled(boolean enabled);

  /**
   * Called when an individual node has been selected.
   *
   * @param node     the selected node
   * @param ctrlDown whether or not the the ctrl key was down
   *                 when the node was selected
   */
  void nodeSelected(PNode node, boolean ctrlDown);
}
