package anl.aida.viz;

import edu.umd.cs.piccolo.PNode;
import edu.umd.cs.piccolo.event.PDragSequenceEventHandler;
import edu.umd.cs.piccolo.event.PInputEvent;
import edu.umd.cs.piccolo.util.PNodeFilter;

/**
 *         Date: Feb 12, 2009 2:19:44 PM
 */
public class DragHandler extends PDragSequenceEventHandler {

  protected PNodeFilter filter;

  public DragHandler(PNodeFilter filter) {
    this.filter = filter;
    getEventFilter().setMarksAcceptedEventsAsHandled(true);
  }

  public void drag(PInputEvent evt) {
    super.drag(evt);
    PNode node = evt.getPickedNode();
    if (filter.accept(node)) {
      node.translate(evt.getDelta().width, evt.getDelta().height);
    }
  }
}
