/**
 * 
 */
package anl.aida.viz3d;

/**
 * Interface for classes that accumulate VNodes.
 * 
 */
public interface Accumulator {
  
  /**
   * Adds the specified VNode to this Accumulator.
   * 
   * @param node the node to add
   */
  void add(VSpatial node);
  
  Iterable<VSpatial> items();

}
