/**
 * 
 */
package anl.aida.viz3d;

import java.nio.FloatBuffer;

/**
 * Encapsulates vertex, normal and color data. 
 * 
 */
public class GeometryData {
  
  private FloatBuffer vertices, normals;

  /**
   * @param vertices
   * @param normals
   */
  public GeometryData(FloatBuffer vertices, FloatBuffer normals) {
    this.vertices = vertices;
    this.normals = normals;
  }

  /**
   * @return the vertices
   */
  public FloatBuffer getVertices() {
    return vertices;
  }

  /**
   * @return the normals
   */
  public FloatBuffer getNormals() {
    return normals;
  }
  
  public void rewind() {
    vertices.rewind();
    normals.rewind();
  }
}
