/**
 * A 3f Ray.
 */
package anl.aida.viz3d;

import javax.vecmath.Point3f;
import javax.vecmath.Vector3f;

/**
 * 
 */
public class Ray3f {
  
  private Point3f origin;
  private Vector3f direction;
  
  /**
   * @param origin
   * @param direction
   */
  public Ray3f(Point3f origin, Vector3f direction) {
    this.origin = new Point3f(origin);
    this.direction = new Vector3f(direction);
    this.direction.normalize();
  }
 
  /**
   * @return the origin
   */
  public Point3f getOrigin() {
    return origin;
  }

  /**
   * @return the direction
   */
  public Vector3f getDirection() {
    return direction;
  }
  
}
