/**
 * 
 */
package anl.aida.viz3d;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Formats the sorting index of a StackItem as Date.
 * 
 *
 */
public class StackItemDateFormatter implements StackItemTextFormatter {
  
  private static DateFormat formatter = new SimpleDateFormat("MMMMM dd, yyyy");

  /* (non-Javadoc)
   * @see anl.mifs.viz3d.StackItemTextFormatter#format(anl.mifs.viz3d.StackItem)
   */
  @Override
  public String format(StackItem2 item) {
    return formatter.format(new Date(item.getSortingIndex()));
  }
}
