package anl.aida.plot;

import java.awt.BorderLayout;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import javax.swing.JFrame;

import anl.aida.data.DataFrame;
import anl.aida.data.mock.ERDataFeed;
import anl.aida.plot.GroupScatterPlot;

public class ScatterPlotTest {
  
  public void run() throws IOException {
    JFrame frame = new JFrame();
    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    frame.setLayout(new BorderLayout());
    
    ERDataFeed feed = new ERDataFeed();
    DataFrame xFrame = feed.getDataFrame(feed.getVariables().get(0));
    DataFrame yFrame = feed.getDataFrame(feed.getVariables().get(1));
    GroupScatterPlot plot = new GroupScatterPlot(xFrame, yFrame);
   
    frame.add(plot.getPanel(), BorderLayout.CENTER);
    frame.setSize(600, 600);
    frame.setVisible(true);
  }
  
  
  public static void main(String[] args) throws IOException {
    ScatterPlotTest test = new ScatterPlotTest();
    test.run();
  }

}
