/**
 * 
 */
package anl.aida.plot.io;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * Encapsulates the project info read from a project file.
 * 
 */
public class Project {

  private Set<String> formulas = new HashSet<String>();
  private List<PlotData> plots = new ArrayList<PlotData>();
  private List<String> dsClasses = new ArrayList<String>();

  public void addFormula(String formula) {
    formulas.add(formula);
  }
  
  public Iterable<String> formulas() {
    return formulas;
  }
  
  public void addPlotData(PlotData plot) {
    plots.add(plot);
  }
  
  public Iterable<PlotData> plots() {
    return plots;
  }
  
  public void addDatasetClass(String classname) {
    dsClasses.add(classname);
  }
  
  public Iterable<String> datasetClasses() {
    return dsClasses;
  }

}
