package anl.aida.ae.gate;

import org.apache.uima.cas.FeatureStructure;
import gate.FeatureMap;

/**
 *         Date: Jan 16, 2009 5:23:35 PM
 */
public interface FeatureBuilder {
  
  /**
   * Transfers UIMA features to a FeatureMap or vis-a-versa.
   *
   * @param parent the UIMA featureStructure containing the feature
   * @param map the feature map to put the feature in
   */
  void build(FeatureStructure parent, FeatureMap map);
}
