package anl.aida.data;

/**
 * Transform the data contained by a DataFrame. For example, averaging all the
 * values together for each time step.
 * 
 * @version $Revision$ $Date$
 */
public interface DataTransformer {

  /**
   * Transforms the data contained by the specified DataFrame.
   * 
   * @param frame
   *          the data to transform
   * @return the transformed data
   */
  DataFrame transform(DataFrame frame);
}
