package anl.aida.formula;

/**
 * Signals a problem with a formula, either in its construction or execution. 
 *
 * @version $Revision$ $Date$
 */
public class IllegalFormulaException extends Exception {


	public IllegalFormulaException() {
		super();
	}

	public IllegalFormulaException(Throwable cause) {
		super(cause);
	}

	public IllegalFormulaException(String message) {
		super(message);
	}

	public IllegalFormulaException(String message, Throwable cause) {
		super(message, cause);
	}
}
