/**
 * 
 */
package anl.aida.algo;

import anl.aida.client.CacheElement;

/**
 * Produces {@link SVConceptGenerator}.
 * 
 * @see SVConceptGenerator
 */
public class SVConceptGeneratorProducer implements ConceptGeneratorProducer {

  /* (non-Javadoc)
   * @see anl.mifs.algo.ConceptGeneratorProducer#createGenerator(anl.mifs.client.CacheElement)
   */
  @Override
  public ConceptGenerator createGenerator(CacheElement element) {
    return new SVConceptGenerator(element.getSVS(), element.getSTC());
  }

  /* (non-Javadoc)
   * @see anl.mifs.algo.ConceptGeneratorProducer#getName()
   */
  @Override
  public String getName() {
    return "Dynamic";
  }

}
