package anl.aida.client.util;

import java.util.Date;
import java.util.Properties;

import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.AddressException;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;

/**
 * Sends an mifs alert email to a specified address.
 * 
 */
public class Emailer {

  private static final String FROM = "cdph.mifs@gmail.com";
  private static final String SUBJECT = "MIFS: ";
  private static final String HOST = "smtp.gmail.com";
  private static final String PASSWORD = "mifsisgr8t";

  public void send(String text, String[] to, String subject) throws AddressException, MessagingException {
    
    Properties props = new Properties();
    props.put("mail.smtps.auth", "true");
    Session session = Session.getInstance(props);
    //session.setDebug(true);
    Transport t = null;
    try {
      MimeMessage msg = new MimeMessage(session);
      msg.setFrom(new InternetAddress(FROM));
      InternetAddress[] receipients = new InternetAddress[to.length];
      int i = 0;
      for (String receipient : to) {
	receipients[i] = new InternetAddress(receipient);
	i++;
      }
      msg.setRecipients(Message.RecipientType.TO, receipients);

      msg.setSubject(SUBJECT + subject);
      msg.setSentDate(new Date());
      msg.setText(text);
      t = session.getTransport("smtps");
      t.connect(HOST, "cdph.mifs@gmail.com", PASSWORD);
      t.sendMessage(msg, msg.getAllRecipients());
    } finally {
      try {
	if (t != null)
	  t.close();
      } catch (Exception ex) {
	ex.printStackTrace();
      }
    }
  }

}
