package anl.aida.client.widget;

import anl.aida.util.DateRangeProducer;

public class AnimatorPropertyBean {
  
  private int minValue, maxValue, interval, framesPer, indexIncrement;
  private DateRangeProducer ranger;
  
  public AnimatorPropertyBean(DateRangeProducer ranger) {
    this.ranger = ranger;
    minValue = 0;
    maxValue = ranger.getTotalDays();
    interval = ranger.getRangeLength();
    framesPer = 30;
    // todo set to 1 for MIFS rather than MSC
    indexIncrement = 5;
  }

  public int getMinValue() {
    return minValue;
  }
  
  public int getIndexIncrement() {
    return indexIncrement;
  }
  
  public void setIndexIncrement(int increment) {
    indexIncrement = increment;
  }

  public void setMinValue(int minValue) {
    this.minValue = minValue;
  }

  public int getMaxValue() {
    return maxValue;
  }

  public void setMaxValue(int maxValue) {
    this.maxValue = maxValue;
  }

  public int getInterval() {
    return interval;
  }

  public void setInterval(int interval) {
    this.interval = interval;
  }

  public int getFramesPer() {
    return framesPer;
  }

  public void setFramesPer(int framesPer) {
    this.framesPer = framesPer;
  }

  public DateRangeProducer getRanger() {
    return ranger;
  }
}
