package anl.aida.gis;

import com.vividsolutions.jts.geom.Point;

/**
 * Interface for classes that want to listen to gis location changed events.
 * 
 */
public interface LocationChangedListener {

  /**
   * Called when the location changed. If pt is null,
   * then location is in someway incoherent. For example,
   * if the mouse moved off of the map entirely.
   * 
   * @param pt the new location
   */
  public void locationChanged(Point pt);

  
}
