package anl.aida.gis3D;

import gov.nasa.worldwind.layers.AbstractLayer;
import gov.nasa.worldwind.render.DrawContext;
import gov.nasa.worldwind.render.GeographicText;
import gov.nasa.worldwind.render.GeographicTextRenderer;

import java.util.ArrayList;
import java.util.List;

public class ElevatedTextLayer extends AbstractLayer {

  private GeographicTextRenderer renderer = new GeographicTextRenderer();
  private List<GeographicText> texts = new ArrayList<GeographicText>();

  public void addText(GeographicText text) {
    texts.add(text);
  }

  @Override
  protected void doRender(DrawContext dc) {
    renderer.render(dc, texts);
  }
}
