/**
 * 
 */
package anl.aida.plot;

/**
 * Enumeration of plot types.
 * 
 */
public enum PlotType {
  
  MAP, TIME_SERIES, DATA_TABLE, STACK_3D, SCATTER;
  
  public static PlotType getPlotType(String plotType) {
    try {
      return PlotType.valueOf(plotType);
    } catch (IllegalArgumentException ex) {
      return null;
    }
  }

}
