/**
 * 
 */
package anl.aida.viz3d;

import java.awt.Color;

import javax.vecmath.Color4f;

/**
 * 
 */
public class AppearenceFactory {
  
  public static MaterialAppearence createAppearence(Color color) {
    Color4f ambientColor = new Color4f(new float[]{.2f, .2f, .2f, 1});
    Color4f diffuseColor =  new Color4f(color);
    Color4f specularColor =  new Color4f(new float[]{1, 1, 1, 1});
    Color4f emissiveColor = new Color4f();
    float shininess = 64;
    
    return new MaterialAppearence(ambientColor, diffuseColor, specularColor, 
	emissiveColor, shininess);
  }

}
