/**
 * 
 */
package anl.aida.viz3d;

import java.util.ArrayList;
import java.util.List;

/**
 * 
 */
public class DefaultAccumulator implements Accumulator {
  
  private List<VSpatial> items = new ArrayList<VSpatial>();

  /* (non-Javadoc)
   * @see anl.mifs.viz3d.Accumulator#add(anl.mifs.viz3d.VSpatial)
   */
  @Override
  public void add(VSpatial item) {
   items.add(item);
  }
  
  public int size() {
    return items.size();
  }
  
  
  /* (non-Javadoc)
   * @see anl.mifs.viz3d.Accumulator#items()
   */
  public Iterable<VSpatial> items() {
    return items;
  }

  public String toString() {
    return items.toString();
  }

}
