/**
 * 
 */
package anl.aida.viz3d;

/**
 * Interface for classes that take a StackItem and produce
 * some textual representation of it. 
 * 
 */
public interface StackItemTextFormatter {
  
  /**
   * Formats the StackItem into a string representation.
   * 
   * @param item the item to format
   * 
   * @return a String representation of the stack item.
   */
  String format(StackItem2 item);

}
