package anl.aida.table;

import java.awt.BorderLayout;
import java.io.IOException;

import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTable;

import anl.aida.data.DataFrame;
import anl.aida.data.mock.ERDataFeed;
import anl.aida.data.mock.WIPCRFeed;
import anl.aida.table.TableCreator;

public class TableTest {
  
  public void run1() throws IOException {
    WIPCRFeed feed = new WIPCRFeed();
    DataFrame frame = feed.getDataFrame(feed.getVariables().get(2));
    JTable table = new TableCreator().createTable(frame);
    JScrollPane pane = new JScrollPane(table);
    JFrame jframe = new JFrame();
    jframe.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    jframe.setLayout(new BorderLayout());
    jframe.add(pane, BorderLayout.CENTER);
    jframe.setSize(600, 600);
    jframe.setVisible(true);
  }
  
  public void run2() throws IOException {
    ERDataFeed feed = new ERDataFeed();
    DataFrame frame = feed.getDataFrame(feed.getVariables().get(0));
    JTable table = new TableCreator().createTable(frame);
    JScrollPane pane = new JScrollPane(table);
    JFrame jframe = new JFrame();
    jframe.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    jframe.setLayout(new BorderLayout());
    jframe.add(pane, BorderLayout.CENTER);
    jframe.setSize(600, 600);
    jframe.setVisible(true);
  }
  
  public static void main(String[] args) throws IOException {
    new TableTest().run2();
  }
}
