/**
 * 
 */
package anl.aida.converters;

import gate.FeatureMap;
import anl.aida.ae.gate.AnnotationBuilderFilter;

/**
 * Filters out gate lookup types with a majortype of location.
 * 
 */
public class LocationFilter implements AnnotationBuilderFilter {

  /*
   * (non-Javadoc)
   * 
   * @see
   * anl.aida.ae.gate.AnnotationBuilderFilter#buildAnnotation(gate.FeatureMap)
   */
  @Override
  public boolean buildAnnotation(FeatureMap map) {
    String type = (String) map.get("majorType");
    return type != null && type.equals("location");
  }
}
