package anl.aida.reader.local;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;

import anl.aida.reader.DocumentProcessor;
import anl.aida.reader.StringExtractor;

public class GoldenTriangleIndexMaker {
	private static String START_DATE="2009-3-01";
	private static String END_DATE="2009-11-01";
	static int timeOfYear;
	static String timeOfDay;
	static String timeOfMonth;
	static int N=1;
//	static String category;
//  private static boolean have=true;
    static int countHave=0;
    public DateFormat format = new SimpleDateFormat("yyyy-M-d");
    String[] monthsI={"1","2","3","4","5","6","7","8","9","10","11","12"};
    String[] days={"01","02","03","04","05","06","07","08","09","10","11","12","13","14","15","16",
    		"17","18","19","20","21","22","23","24","25","26","27","28","29","30","31"};
	int[]year;
	public long totalTicks;
	public Date start;
	public Date end;
	
	public GoldenTriangleIndexMaker(){
	}
	  private static class ArchiveMaker implements DocumentProcessor {

		    // timestamp:::link:::title:::author
		    public DateFormat format = new SimpleDateFormat("yyyy-M-d");
		    private PrintWriter writer;
		    private String month = "";
		    public long timeStamp;
		    public ArchiveMaker(String file) throws IOException {
		      writer = new PrintWriter(new BufferedWriter(new FileWriter(file)));
		    }

		    public void processLine(String line) {

		    	if(line.contains("result(s) found")){
		    		String first=line.split("of")[1].split("result")[0];
		    		int n=Integer.parseInt(first.trim());
		    		N=n;
		    	}
		        if (line.contains("/articles/") && (line.contains("/top_stories/") ||
		        		line.contains("/community_news/") || line.contains("/community news")
		        		|| line.contains("top stories") || line.contains("top_news") 
		        		|| line.contains("top news"))) {
//		        		have=true;
		        		int index = line.indexOf(">");
		        		String link = line.substring(1, index);
		        		index = line.indexOf(Integer.toString(timeOfYear)+"/");
		        		int start = index + 5;
		        		int end = start + 3;
//		        		String linkMonth = line.substring(start, end);
		        		start = end + 1;
		        		end = start + 2;
	//	        		String day = line.substring(start, end);
		        		String date=
		        			link.split("articles")[1].split("news")[0].replace("/", "-");
		        		String title = "";
		        		start = line.indexOf(">") + 1;
		        		end = line.length();
		        		if (end != -1) {
		        			title = line.substring(start, end);
		        		} else {
		        			end = line.length();
		        			title = line.substring(start, end);
		        		}
		        	
//		        		if (!month.equals(linkMonth)) {
//		        			//writer.println(String.format("%s 2009", linkMonth));
//		        			month = linkMonth;
//		        		}
		        		try {
							timeStamp=format.parse(date.substring(1)).getTime();
						} catch (ParseException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}
		        		writer.println(String.format("%d:::%s:::%s:::",timeStamp,link, title));
					    System.out.printf(String.format("%d:::%s:::%s:::", timeStamp,link, title));
	//	        		countHave=+1;
				   }
		        
//		        if(countHave>0)
//		        	have=true;
//		        else
//		        	have=false;
		}


		    @Override
		    public boolean done() {
		      return false;
		    }

		    public void close() throws IOException {
		      writer.close();
		    }

		    /*
		     * (non-Javadoc)
		     * 
		     * @see anl.aida.reader.DocumentProcessor#reset()
		     */
		    @Override
		    public void reset() {
		      // TODO Auto-generated method stub

		    }
		  }
		  
	  public void parseTime() throws ParseException{
			start = format.parse(START_DATE);
		    end = format.parse(END_DATE);
		    long days=end.getTime()-start.getTime();
		    totalTicks=(days/86400000)+1;
		}

	public static void main(String[] args) throws IOException, ParseException {
//		http://goldentrianglenewspapers.com/shared-content/search
//			/index.php?search=date&o=0&l=20&s=recent&d1=7-4-2009&d2=9-16-2009
		
		GoldenTriangleIndexMaker gim = new GoldenTriangleIndexMaker();
		StringExtractor extractor = new StringExtractor();
		ArchiveMaker maker = new ArchiveMaker("./goldentriangle_index.txt");
		gim.parseTime();

		Calendar cal = GregorianCalendar.getInstance();
		Calendar end = GregorianCalendar.getInstance();
		cal.setTime(gim.start);
		end.setTime(gim.end);
		 
		int t=0;
		      while(t<N) {
//		    	  countHave=0;
//		    	  int day=cal.get(Calendar.DAY_OF_MONTH)-1;
		    	  String url = "http://goldentrianglenewspapers.com/shared-content/search/index.php?search=date&o=0&l=20&s=recent&d1="
		    		  +gim.monthsI[cal.get(Calendar.MONTH)]+"-"+gim.days[cal.get(Calendar.DAY_OF_MONTH)-1]+"-"+
    		  		+cal.get(Calendar.YEAR)+"&d2="+gim.monthsI[end.get(Calendar.MONTH)]
    		  		  +"-"+end.get(Calendar.DAY_OF_MONTH)+"-"+
    		  		+end.get(Calendar.YEAR)+"&o="+t;
		    	  System.out.println("Processing URL: " + url);
		    	  extractor.run(url, maker);
		    	  t=t+20;
		      }
//		      have=true;
//		      cal.add(Calendar.DAY_OF_MONTH, 1);
//		      current++;
		    maker.close();
		  } 
	
}
